// BeYapWin.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//
//

#ifndef _BEYAP_WIN_H_
#define _BEYAP_WIN_H_

#include <Window.h>
#include <Dragger.h>
#include <Message.h>
#include <Rect.h>

#include "MeterBaseView.h"
#include "Profile.h"

class BeYapWin : public BWindow {
public:
	BeYapWin(BRect frame, Profile *p);
	~BeYapWin();
	
	virtual bool QuitRequested();
		
private:
	void CommitProfile();
	
	BeYapWin(const BeYapWin &);
//	operator=();

	MeterBaseView *mb;
	Profile *profile;
};

#endif /* _BEYAP_WIN_H_ */
